(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     42729,       1413]
NotebookOptionsPosition[     41162,       1354]
NotebookOutlinePosition[     41500,       1369]
CellTagsIndexPosition[     41457,       1366]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "A template for curvature calculations, using the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["AdS", "5"], TraditionalForm]]],
 " BH in the u coordinate as an example."
}], "Subsection",
 CellChangeTimes->{{3.4217499040641413`*^9, 3.421749928962432*^9}, {
  3.430219912557048*^9, 3.43021992993692*^9}}],

Cell[CellGroupData[{

Cell["input the metric :", "Subsubsection",
 CellChangeTimes->{{3.430220188448187*^9, 3.430220190308447*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ff", "=", 
   RowBox[{"1", "-", 
    SuperscriptBox["u", "2"]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.421746792783124*^9, 3.4217467967376223`*^9}, 
   3.430219835769505*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{"g", ":=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {
       FractionBox[
        RowBox[{
         RowBox[{"-", "ff"}], " ", 
         RowBox[{"l", "^", "2"}]}], 
        RowBox[{"u", " ", 
         RowBox[{"rH", "^", "2"}]}]], "0", "0", "0", "0"},
      {"0", 
       FractionBox[
        RowBox[{"l", "^", "2"}], 
        RowBox[{"u", " ", 
         RowBox[{"rH", "^", "2"}]}]], "0", "0", "0"},
      {"0", "0", 
       FractionBox[
        RowBox[{"l", "^", "2"}], 
        RowBox[{"u", " ", 
         RowBox[{"rH", "^", "2"}]}]], "0", "0"},
      {"0", "0", "0", 
       FractionBox[
        RowBox[{"l", "^", "2"}], 
        RowBox[{"u", " ", 
         RowBox[{"rH", "^", "2"}]}]], "0"},
      {"0", "0", "0", "0", 
       FractionBox[
        RowBox[{"l", "^", "2"}], 
        RowBox[{"4", 
         SuperscriptBox["u", "2"], "ff"}]]}
     },
     GridBoxDividers->{
      "Columns" -> {True, {False}, True}, "ColumnsIndexed" -> {}, 
       "Rows" -> {True, {False}, True}, "RowsIndexed" -> {}}], "\[NoBreak]", 
    ")"}]}],
  FontSize->24]], "Input",
 CellChangeTimes->{{3.421746561981431*^9, 3.4217465775639*^9}, {
   3.421746631483786*^9, 3.421746655460328*^9}, {3.421746805837171*^9, 
   3.421746938632646*^9}, {3.421747009410057*^9, 3.421747041161126*^9}, 
   3.421749703299303*^9, 3.4302198494585047`*^9, {3.430219910297806*^9, 
   3.430219910925548*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["compute all the curvatures", "Subsubsection",
 CellChangeTimes->{{3.4302201945905952`*^9, 3.430220197011612*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"indep", "=", 
   RowBox[{"{", 
    RowBox[{"t", ",", "x1", ",", "x2", ",", "x3", ",", "u"}], "}"}]}], ";", 
  RowBox[{"dim", " ", "=", " ", 
   RowBox[{"Length", "[", "indep", "]"}]}], ";", " ", 
  RowBox[{"n", " ", "=", " ", "dim"}], ";", 
  RowBox[{"gi", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Inverse", "[", "g", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]",
 
 RowBox[{
  RowBox[{
   RowBox[{"CrSym", "[", 
    RowBox[{
    "gg_", ",", " ", "gi_", ",", " ", "i_", ",", " ", "j_", ",", " ", "k_"}], 
    "]"}], " ", ":=", " ", 
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"gi", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "l"}], "]"}], "]"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"gg", "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", " ", "l"}], "]"}], "]"}], ",", 
           RowBox[{"indep", "[", 
            RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "+", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"gg", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", "l"}], "]"}], "]"}], ",", 
           RowBox[{"indep", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}], "]"}], " ", "-", " ", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"gg", "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", " ", "k"}], "]"}], "]"}], ",", 
           RowBox[{"indep", "[", 
            RowBox[{"[", "l", "]"}], "]"}]}], "]"}]}], ")"}]}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"l", ",", " ", "1", ",", " ", "dim"}], "}"}]}], "]"}], " ", 
    "/", " ", "2"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"riemann", "[", 
   RowBox[{
   "cr_", ",", " ", "i_", ",", " ", "j_", ",", " ", "k_", ",", " ", "l_"}], 
   "]"}], " ", ":=", 
  RowBox[{
   RowBox[{"(", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"cr", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "j", ",", "l"}], "]"}], "]"}], ",", 
      RowBox[{"indep", "[", 
       RowBox[{"[", "k", "]"}], "]"}]}], "]"}], ")"}], " ", "-", 
   RowBox[{"(", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"cr", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], ",", " ", 
      RowBox[{"indep", "[", 
       RowBox[{"[", "l", "]"}], "]"}]}], "]"}], ")"}], " ", "+", " ", 
   RowBox[{"(", 
    RowBox[{"Sum", "[", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"cr", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "m", ",", "k"}], "]"}], "]"}], "*", 
        RowBox[{"cr", "[", 
         RowBox[{"[", 
          RowBox[{"m", ",", "j", ",", "l"}], "]"}], "]"}]}], " ", "-", " ", 
       RowBox[{
        RowBox[{"cr", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "m", ",", "l"}], "]"}], "]"}], "*", 
        RowBox[{"cr", "[", 
         RowBox[{"[", 
          RowBox[{"m", ",", "j", ",", "k"}], "]"}], "]"}]}]}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"m", ",", " ", "1", ",", " ", "dim"}], "}"}]}], "]"}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ricci", "[", 
    RowBox[{"rm_", ",", " ", "i_", ",", " ", "j_"}], "]"}], " ", ":=", " ", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{"rm", "[", 
      RowBox[{"[", 
       RowBox[{"m", ",", "i", ",", "m", ",", "j"}], "]"}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"m", ",", " ", "1", ",", " ", "dim"}], "}"}]}], "]"}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"chrtab", " ", "=", "  ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"CrSym", "[", 
       RowBox[{
       "g", ",", " ", "gi", ",", " ", "i", ",", " ", "j", ",", " ", "k"}], 
       "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", "1", ",", " ", "dim"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"j", ",", " ", "1", ",", " ", "dim"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"k", ",", " ", "1", ",", " ", "dim"}], "}"}]}], "]"}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"riemtab", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"riemann", "[", 
       RowBox[{"chrtab", ",", " ", "i", ",", "j", ",", "k", ",", "l"}], "]"}],
       ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", "1", ",", " ", "dim"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"j", ",", " ", "1", ",", " ", "dim"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"k", ",", " ", "1", ",", " ", "dim"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"l", ",", " ", "1", ",", " ", "dim"}], "}"}]}], "]"}]}], " ", 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rictab", " ", "=", " ", 
    RowBox[{"FullSimplify", "[", " ", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"ricci", "[", 
        RowBox[{"riemtab", ",", "i", ",", "j"}], "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", "1", ",", " ", "dim"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"j", ",", " ", "1", ",", " ", "dim"}], "}"}]}], "]"}], 
     "]"}]}], " ", ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rscal", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"gi", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "j"}], "]"}], "]"}], "*", 
       RowBox[{"rictab", "[", 
        RowBox[{"[", 
         RowBox[{"j", ",", "i"}], "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "dim"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "dim"}], "}"}]}], "]"}], "]"}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ricup", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"FullSimplify", "[", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"gi", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "ip"}], "]"}], "]"}], "*", 
         RowBox[{"gi", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "jp"}], "]"}], "]"}], "*", 
         RowBox[{"rictab", "[", 
          RowBox[{"[", 
           RowBox[{"ip", ",", "jp"}], "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"ip", ",", "1", ",", "dim"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"jp", ",", "1", ",", "dim"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "dim"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "dim"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"einsteinallup", " ", "=", " ", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"ricup", "-", 
     RowBox[{"gi", "*", 
      RowBox[{"rscal", "/", "2"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"einstein", " ", "=", " ", 
   RowBox[{"rictab", " ", "-", " ", 
    RowBox[{
     FractionBox["1", "2"], "g", " ", "rscal"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<ricci scalar = \>\"", ",", " ", "rscal"}], "]"}]}], "Input",
 CellChangeTimes->{{3.421749723767756*^9, 3.4217497243597927`*^9}, {
   3.421749765186192*^9, 3.4217497765550833`*^9}, 3.4217498073724823`*^9, {
   3.421755937157488*^9, 3.421755938250886*^9}, {3.421922256129887*^9, 
   3.421922284853574*^9}, {3.421923275535706*^9, 3.421923276609149*^9}, {
   3.422264768370001*^9, 3.422264785367477*^9}, {3.422311011388781*^9, 
   3.422311011937689*^9}, {3.42505952582436*^9, 3.42505953266073*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ricci scalar = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", 
    FractionBox["20", 
     SuperscriptBox["l", "2"]]}]}],
  SequenceForm["ricci scalar = ", (-20) $CellContext`l^(-2)],
  Editable->False]], "Print",
 CellChangeTimes->{3.430220110851097*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["check the einstein equation with cosmological constant", "Subsubsection",
 CellChangeTimes->{{3.430220206058025*^9, 3.430220214452821*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"einstein", " ", "-", " ", 
    RowBox[{
     FractionBox["6", 
      SuperscriptBox["l", "2"]], " ", "g"}]}], " ", "//", "Simplify"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.421749613171419*^9, 3.421749650305952*^9}, {
  3.430220096872414*^9, 3.430220148133841*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.421749621926177*^9, 3.421749650698268*^9}, 
   3.421755962206646*^9, 3.430219991795125*^9, {3.4302200987162037`*^9, 
   3.430220148543764*^9}}]
}, Open  ]],

Cell["whew.", "Text",
 CellChangeTimes->{{3.421749653297618*^9, 3.421749653883234*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["if you really want to print out the curvatures :", "Subsection",
 CellChangeTimes->{{3.430220078763689*^9, 3.430220084644816*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"ricci scalar = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", 
    FractionBox["20", 
     SuperscriptBox["l", "2"]]}]}],
  SequenceForm["ricci scalar = ", (-20) $CellContext`l^(-2)],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.421755945914775*^9, 3.4217577038014107`*^9, {3.430219972144943*^9, 
   3.430219977002289*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CurvTable", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"UnsameQ", "[", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{"einstein", "[", 
          RowBox[{"[", 
           RowBox[{"\[Mu]", ",", "\[Kappa]"}], "]"}], "]"}], "]"}], ",", 
        "0"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SuperscriptBox["G", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"\[Mu]", " ", "-", "1"}], "]"}], " ", "<>", " ", 
          RowBox[{"ToString", "[", " ", 
           RowBox[{"\[Kappa]", "-", "1"}], "]"}]}]], " ", ",", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{"einstein", "[", 
          RowBox[{"[", 
           RowBox[{"\[Mu]", ",", "\[Kappa]"}], "]"}], "]"}], "]"}]}], "}"}]}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Mu]", ",", "1", ",", "n"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Kappa]", ",", "1", ",", "n"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"DeleteCases", "[", 
     RowBox[{
      RowBox[{"Flatten", "[", "CurvTable", "]"}], ",", "Null"}], "]"}], ",", 
    "2"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.421749816952218*^9, 3.4217498546947317`*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SuperscriptBox["G", "\<\"00\"\>"], 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["u", "2"]}], ")"}]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SuperscriptBox["G", "\<\"11\"\>"], 
     FractionBox["6", 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SuperscriptBox["G", "\<\"22\"\>"], 
     FractionBox["6", 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SuperscriptBox["G", "\<\"33\"\>"], 
     FractionBox["6", 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SuperscriptBox["G", "\<\"44\"\>"], 
     FractionBox["3", 
      RowBox[{
       RowBox[{"2", " ", 
        SuperscriptBox["u", "2"]}], "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["u", "4"]}]}]]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.421749823207521*^9, 3.4217498553017797`*^9}, 
   3.4302199801932287`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CurvTable", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"UnsameQ", "[", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{"rictab", "[", 
          RowBox[{"[", 
           RowBox[{"\[Mu]", ",", "\[Kappa]"}], "]"}], "]"}], "]"}], ",", 
        "0"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["R", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"\[Mu]", " ", "-", "1"}], "]"}], " ", "<>", " ", 
          RowBox[{"ToString", "[", " ", 
           RowBox[{"\[Kappa]", "-", "1"}], "]"}]}]], " ", ",", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{"rictab", "[", 
          RowBox[{"[", 
           RowBox[{"\[Mu]", ",", "\[Kappa]"}], "]"}], "]"}], "]"}]}], "}"}]}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Mu]", ",", "1", ",", "n"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Kappa]", ",", "1", ",", "n"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"DeleteCases", "[", 
     RowBox[{
      RowBox[{"Flatten", "[", "CurvTable", "]"}], ",", "Null"}], "]"}], ",", 
    "2"}], "]"}], "]"}]}], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["R", "\<\"00\"\>"], 
     FractionBox[
      RowBox[{"4", "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["u", "2"]}]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox["R", "\<\"11\"\>"], 
     RowBox[{"-", 
      FractionBox["4", 
       RowBox[{
        SuperscriptBox["rH", "2"], " ", "u"}]]}]},
    {
     SubscriptBox["R", "\<\"22\"\>"], 
     RowBox[{"-", 
      FractionBox["4", 
       RowBox[{
        SuperscriptBox["rH", "2"], " ", "u"}]]}]},
    {
     SubscriptBox["R", "\<\"33\"\>"], 
     RowBox[{"-", 
      FractionBox["4", 
       RowBox[{
        SuperscriptBox["rH", "2"], " ", "u"}]]}]},
    {
     SubscriptBox["R", "\<\"44\"\>"], 
     FractionBox["1", 
      RowBox[{
       SuperscriptBox["u", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["u", "2"]}], ")"}]}]]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.421757709309381*^9, 3.4302199817476377`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CurvTable", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"UnsameQ", "[", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{"ricup", "[", 
          RowBox[{"[", 
           RowBox[{"\[Mu]", ",", "\[Kappa]"}], "]"}], "]"}], "]"}], ",", 
        "0"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox[
         SuperscriptBox["R", 
          RowBox[{"ToString", "[", 
           RowBox[{"\[Mu]", " ", "-", "1"}], "]"}]], 
         RowBox[{"ToString", "[", " ", 
          RowBox[{"\[Kappa]", "-", "1"}], "]"}]], " ", ",", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{"ricup", "[", 
          RowBox[{"[", 
           RowBox[{"\[Mu]", ",", "\[Kappa]"}], "]"}], "]"}], "]"}]}], "}"}]}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Mu]", ",", "1", ",", "n"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Kappa]", ",", "1", ",", "n"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"DeleteCases", "[", 
     RowBox[{
      RowBox[{"Flatten", "[", "CurvTable", "]"}], ",", "Null"}], "]"}], ",", 
    "2"}], "]"}], "]"}]}], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"0\"\>"], ")"}], "\<\"0\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"4", " ", 
        SuperscriptBox["rH", "2"], " ", "u"}], 
       RowBox[{
        SuperscriptBox["l", "4"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox["u", "2"]}], ")"}]}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"1\"\>"], ")"}], "\<\"1\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"4", " ", 
        SuperscriptBox["rH", "2"], " ", "u"}], 
       SuperscriptBox["l", "4"]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"2\"\>"], ")"}], "\<\"2\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"4", " ", 
        SuperscriptBox["rH", "2"], " ", "u"}], 
       SuperscriptBox["l", "4"]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"3\"\>"], ")"}], "\<\"3\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"4", " ", 
        SuperscriptBox["rH", "2"], " ", "u"}], 
       SuperscriptBox["l", "4"]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"4\"\>"], ")"}], "\<\"4\"\>"], 
     FractionBox[
      RowBox[{"16", " ", 
       SuperscriptBox["u", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["u", "2"]}], ")"}]}], 
      SuperscriptBox["l", "4"]]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.430219986752948*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ConnTable", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"UnsameQ", "[", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{"chrtab", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "\[Mu]", ",", "\[Nu]"}], "]"}], "]"}], "]"}], 
        ",", "0"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox[
         SuperscriptBox["\[CapitalGamma]", 
          RowBox[{"ToString", "[", 
           RowBox[{"k", "-", "1"}], "]"}]], 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"\[Mu]", " ", "-", "1"}], "]"}], " ", "<>", " ", 
          RowBox[{"ToString", "[", " ", 
           RowBox[{"\[Nu]", "-", "1"}], "]"}]}]], " ", ",", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{"chrtab", "[", 
          RowBox[{"[", 
           RowBox[{"k", ",", "\[Mu]", ",", "\[Nu]"}], "]"}], "]"}], "]"}]}], 
       "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "n"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Mu]", ",", "1", ",", "n"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Nu]", ",", "1", ",", "n"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"DeleteCases", "[", 
     RowBox[{
      RowBox[{"Flatten", "[", "ConnTable", "]"}], ",", "Null"}], "]"}], ",", 
    "2"}], "]"}], "]"}]}], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"0\"\>"], ")"}], "\<\"04\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        SuperscriptBox["u", "2"]}], 
       RowBox[{
        RowBox[{"2", " ", "u"}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["u", "3"]}]}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"0\"\>"], ")"}], "\<\"40\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        SuperscriptBox["u", "2"]}], 
       RowBox[{
        RowBox[{"2", " ", "u"}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["u", "3"]}]}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"1\"\>"], ")"}], "\<\"14\"\>"], 
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"2", " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"1\"\>"], ")"}], "\<\"41\"\>"], 
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"2", " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"2\"\>"], ")"}], "\<\"24\"\>"], 
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"2", " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"2\"\>"], ")"}], "\<\"42\"\>"], 
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"2", " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"3\"\>"], ")"}], "\<\"34\"\>"], 
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"2", " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"3\"\>"], ")"}], "\<\"43\"\>"], 
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"2", " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"4\"\>"], ")"}], "\<\"00\"\>"], 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["u", "4"]}], ")"}]}], 
      SuperscriptBox["rH", "2"]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"4\"\>"], ")"}], "\<\"11\"\>"], 
     FractionBox[
      RowBox[{"2", "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["u", "2"]}]}], 
      SuperscriptBox["rH", "2"]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"4\"\>"], ")"}], "\<\"22\"\>"], 
     FractionBox[
      RowBox[{"2", "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["u", "2"]}]}], 
      SuperscriptBox["rH", "2"]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"4\"\>"], ")"}], "\<\"33\"\>"], 
     FractionBox[
      RowBox[{"2", "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["u", "2"]}]}], 
      SuperscriptBox["rH", "2"]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["\[CapitalGamma]", "\<\"4\"\>"], ")"}], "\<\"44\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["u", "2"]}]}], 
       RowBox[{"u", "-", 
        SuperscriptBox["u", "3"]}]]}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.421755957074966*^9, 3.43021998873323*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CurvTable", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"UnsameQ", "[", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{"riemtab", "[", 
          RowBox[{"[", 
           RowBox[{
           "\[Alpha]", ",", "\[Mu]", ",", "\[Sigma]", ",", "\[Lambda]"}], 
           "]"}], "]"}], "]"}], ",", "0"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox[
         SuperscriptBox["R", 
          RowBox[{"ToString", "[", 
           RowBox[{"\[Alpha]", "-", "1"}], "]"}]], 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"\[Mu]", " ", "-", "1"}], "]"}], " ", "<>", " ", 
          RowBox[{"ToString", "[", " ", 
           RowBox[{"\[Sigma]", "-", "1"}], "]"}], "<>", 
          RowBox[{"ToString", "[", " ", 
           RowBox[{"\[Lambda]", "-", "1"}], "]"}]}]], " ", ",", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{"riemtab", "[", 
          RowBox[{"[", 
           RowBox[{
           "\[Alpha]", ",", "\[Mu]", ",", "\[Sigma]", ",", "\[Lambda]"}], 
           "]"}], "]"}], "]"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "1", ",", "n"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Mu]", ",", "1", ",", "n"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Sigma]", ",", "1", ",", "n"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Lambda]", ",", "1", ",", "n"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"DeleteCases", "[", 
     RowBox[{
      RowBox[{"Flatten", "[", "CurvTable", "]"}], ",", "Null"}], "]"}], ",", 
    "2"}], "]"}], "]"}]}], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"0\"\>"], ")"}], "\<\"101\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        SuperscriptBox["u", "2"]}], 
       RowBox[{
        SuperscriptBox["rH", "2"], " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"0\"\>"], ")"}], "\<\"110\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"0\"\>"], ")"}], "\<\"202\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        SuperscriptBox["u", "2"]}], 
       RowBox[{
        SuperscriptBox["rH", "2"], " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"0\"\>"], ")"}], "\<\"220\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"0\"\>"], ")"}], "\<\"303\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        SuperscriptBox["u", "2"]}], 
       RowBox[{
        SuperscriptBox["rH", "2"], " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"0\"\>"], ")"}], "\<\"330\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"0\"\>"], ")"}], "\<\"404\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       RowBox[{"3", " ", 
        SuperscriptBox["u", "2"]}]}], 
      RowBox[{"4", " ", 
       SuperscriptBox["u", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["u", "2"]}], ")"}]}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"0\"\>"], ")"}], "\<\"440\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       RowBox[{"3", " ", 
        SuperscriptBox["u", "2"]}]}], 
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["u", "2"]}], "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["u", "4"]}]}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"1\"\>"], ")"}], "\<\"001\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["u", "4"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"1\"\>"], ")"}], "\<\"010\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["u", "4"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"1\"\>"], ")"}], "\<\"212\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"1\"\>"], ")"}], "\<\"221\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"1\"\>"], ")"}], "\<\"313\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"1\"\>"], ")"}], "\<\"331\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"1\"\>"], ")"}], "\<\"414\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{"4", " ", 
       SuperscriptBox["u", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["u", "2"]}], ")"}]}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"1\"\>"], ")"}], "\<\"441\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["u", "2"]}], "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["u", "4"]}]}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"2\"\>"], ")"}], "\<\"002\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["u", "4"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"2\"\>"], ")"}], "\<\"020\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["u", "4"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"2\"\>"], ")"}], "\<\"112\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"2\"\>"], ")"}], "\<\"121\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"2\"\>"], ")"}], "\<\"323\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"2\"\>"], ")"}], "\<\"332\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"2\"\>"], ")"}], "\<\"424\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{"4", " ", 
       SuperscriptBox["u", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["u", "2"]}], ")"}]}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"2\"\>"], ")"}], "\<\"442\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["u", "2"]}], "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["u", "4"]}]}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"3\"\>"], ")"}], "\<\"003\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["u", "4"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"3\"\>"], ")"}], "\<\"030\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["u", "4"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"3\"\>"], ")"}], "\<\"113\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"3\"\>"], ")"}], "\<\"131\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"3\"\>"], ")"}], "\<\"223\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"3\"\>"], ")"}], "\<\"232\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"3\"\>"], ")"}], "\<\"434\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{"4", " ", 
       SuperscriptBox["u", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["u", "2"]}], ")"}]}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"3\"\>"], ")"}], "\<\"443\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["u", "2"]}], "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["u", "4"]}]}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"4\"\>"], ")"}], "\<\"004\"\>"], 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["u", "2"]}], "-", 
       RowBox[{"3", " ", 
        SuperscriptBox["u", "4"]}]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"4\"\>"], ")"}], "\<\"040\"\>"], 
     FractionBox[
      RowBox[{"1", "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["u", "2"]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["u", "4"]}]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"4\"\>"], ")"}], "\<\"114\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"4\"\>"], ")"}], "\<\"141\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        SuperscriptBox["u", "2"]}], 
       RowBox[{
        SuperscriptBox["rH", "2"], " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"4\"\>"], ")"}], "\<\"224\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"4\"\>"], ")"}], "\<\"242\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        SuperscriptBox["u", "2"]}], 
       RowBox[{
        SuperscriptBox["rH", "2"], " ", "u"}]]}]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"4\"\>"], ")"}], "\<\"334\"\>"], 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox["u", "2"]}], 
      RowBox[{
       SuperscriptBox["rH", "2"], " ", "u"}]]},
    {
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["R", "\<\"4\"\>"], ")"}], "\<\"343\"\>"], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        SuperscriptBox["u", "2"]}], 
       RowBox[{
        SuperscriptBox["rH", "2"], " ", "u"}]]}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.430219990373715*^9}]
}, Open  ]]
}, Closed]]
},
WindowSize->{875, 758},
WindowMargins->{{Automatic, 165}, {Automatic, 194}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 320, 8, 36, "Subsection"],
Cell[CellGroupData[{
Cell[935, 35, 109, 1, 25, "Subsubsection"],
Cell[1047, 38, 212, 6, 30, "Input"],
Cell[1262, 46, 1409, 41, 242, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2708, 92, 119, 1, 25, "Subsubsection"],
Cell[CellGroupData[{
Cell[2852, 97, 7675, 215, 302, "Input"],
Cell[10530, 314, 302, 8, 39, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10881, 328, 145, 1, 25, "Subsubsection"],
Cell[CellGroupData[{
Cell[11051, 333, 331, 9, 47, "Input"],
Cell[11385, 344, 875, 23, 105, "Output"]
}, Open  ]],
Cell[12275, 370, 87, 1, 26, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12411, 377, 136, 1, 34, "Subsection"],
Cell[12550, 380, 379, 10, 39, "Print"],
Cell[CellGroupData[{
Cell[12954, 394, 1336, 38, 84, "Input"],
Cell[14293, 434, 1473, 49, 166, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15803, 488, 1262, 37, 82, "Input"],
Cell[17068, 527, 1476, 50, 165, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18581, 582, 1248, 37, 85, "Input"],
Cell[19832, 621, 2047, 68, 176, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21916, 694, 1463, 42, 84, "Input"],
Cell[23382, 738, 3898, 130, 390, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27317, 873, 1736, 48, 104, "Input"],
Cell[29056, 923, 12078, 427, 1233, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
